! 	This program demonstrates CYCLE
!	===================================================
        program f77do5

	implicit none

	integer x, i, j

	print *, "Program find all numbers between 1 - 100 that"
	print *, "are divisible by 14"
	print *

	do x = 1, 100
	   j = MOD(x, 2);	! Remainder of x / 2

	   if ( j <> 0 ) then
	      cycle		! Not even, skip to next number
	   end if

	   j = MOD(x, 7);	! Remainder of x / 7

	   if ( j <> 0 ) then
	      cycle		! Not divisible by 7, skip to next number
	   end if

	   print *, "Next number = ", x
	end do

	print *

	end
